package com.navinfo.outdoor.bean;

import java.util.List;

public class UserDetailBean {

    /**
     * code : 200
     * message : 成功
     * body : {"pid":1,"username":"C10000","password":"123456","createtime":"2021-06-11T07:56:06.117+0000","name":"李心榕","sex":0,"regionId":530902,"mobile":"18811794839","fatherid":null,"registerTime":null,"photoName":null,"alipayAccountName":null,"wechat":null,"qq":"","freezed":0,"locked":0,"userBankcard":{"userid":1,"name":"李心榕","bankName":"银行名称","bankAccount":"103100000026","lastUpdateTime":null,"idNumber":"8866214489652365478","name1":"李心榕","idNumber1":null,"modifydate":null},"userAuth":{"userid":1,"name":"我得","idnum":"411381200010265236","certorg":null,"idtimelimit":null,"p1":null,"p2":null,"p3":null,"modifytime":"2021-06-28T07:22:12.160+0000","audituid":null,"audittime":null,"reaudituid":null,"reaudittime":null,"auditstatus":1,"reaudited":0,"auditmsg":null},"role":[{"id":3,"name":"admin","description":"众包管理员"}]}
     */

    private int code;
    private String message;
    private BodyBean body;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        /**
         * pid : 1
         * username : C10000
         * password : 123456
         * createtime : 2021-06-11T07:56:06.117+0000
         * name : 李心榕
         * sex : 0
         * regionId : 530902
         * mobile : 18811794839
         * fatherid : null
         * registerTime : null
         * photoName : null
         * alipayAccountName : null
         * wechat : null
         * qq :
         * freezed : 0
         * locked : 0
         * userBankcard : {"userid":1,"name":"李心榕","bankName":"银行名称","bankAccount":"103100000026","lastUpdateTime":null,"idNumber":"8866214489652365478","name1":"李心榕","idNumber1":null,"modifydate":null}
         * userAuth : {"userid":1,"name":"我得","idnum":"411381200010265236","certorg":null,"idtimelimit":null,"p1":null,"p2":null,"p3":null,"modifytime":"2021-06-28T07:22:12.160+0000","audituid":null,"audittime":null,"reaudituid":null,"reaudittime":null,"auditstatus":1,"reaudited":0,"auditmsg":null}
         * role : [{"id":3,"name":"admin","description":"众包管理员"}]
         */

        private int pid;
        private String username;
        private String password;
        private String createtime;
        private String name;
        private int sex;
        private int regionId;
        private String mobile;
        private Object fatherid;
        private Object registerTime;
        private Object photoName;
        private Object alipayAccountName;
        private String wechat;
        private String qq;
        private int freezed;
        private int locked;
        private UserBankcardBean userBankcard;
        private UserAuthBean userAuth;
        private List<RoleBean> role;

        public int getPid() {
            return pid;
        }

        public void setPid(int pid) {
            this.pid = pid;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getPassword() {
            return password;
        }

        public void setPassword(String password) {
            this.password = password;
        }

        public String getCreatetime() {
            return createtime;
        }

        public void setCreatetime(String createtime) {
            this.createtime = createtime;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public int getSex() {
            return sex;
        }

        public void setSex(int sex) {
            this.sex = sex;
        }

        public int getRegionId() {
            return regionId;
        }

        public void setRegionId(int regionId) {
            this.regionId = regionId;
        }

        public String getMobile() {
            return mobile;
        }

        public void setMobile(String mobile) {
            this.mobile = mobile;
        }

        public Object getFatherid() {
            return fatherid;
        }

        public void setFatherid(Object fatherid) {
            this.fatherid = fatherid;
        }

        public Object getRegisterTime() {
            return registerTime;
        }

        public void setRegisterTime(Object registerTime) {
            this.registerTime = registerTime;
        }

        public Object getPhotoName() {
            return photoName;
        }

        public void setPhotoName(Object photoName) {
            this.photoName = photoName;
        }

        public Object getAlipayAccountName() {
            return alipayAccountName;
        }

        public void setAlipayAccountName(Object alipayAccountName) {
            this.alipayAccountName = alipayAccountName;
        }

        public String getWechat() {
            return wechat;
        }

        public void setWechat(String wechat) {
            this.wechat = wechat;
        }

        public String getQq() {
            return qq;
        }

        public void setQq(String qq) {
            this.qq = qq;
        }

        public int getFreezed() {
            return freezed;
        }

        public void setFreezed(int freezed) {
            this.freezed = freezed;
        }

        public int getLocked() {
            return locked;
        }

        public void setLocked(int locked) {
            this.locked = locked;
        }

        public UserBankcardBean getUserBankcard() {
            return userBankcard;
        }

        public void setUserBankcard(UserBankcardBean userBankcard) {
            this.userBankcard = userBankcard;
        }

        public UserAuthBean getUserAuth() {
            return userAuth;
        }

        public void setUserAuth(UserAuthBean userAuth) {
            this.userAuth = userAuth;
        }

        public List<RoleBean> getRole() {
            return role;
        }

        public void setRole(List<RoleBean> role) {
            this.role = role;
        }

        public static class UserBankcardBean {
            /**
             * userid : 1
             * name : 李心榕
             * bankName : 银行名称
             * bankAccount : 103100000026
             * lastUpdateTime : null
             * idNumber : 8866214489652365478
             * name1 : 李心榕
             * idNumber1 : null
             * modifydate : null
             */

            private int userid;
            private String name;
            private String bankName;
            private String bankAccount;
            private Object lastUpdateTime;
            private String idNumber;
            private String name1;
            private Object idNumber1;
            private Object modifydate;

            public int getUserid() {
                return userid;
            }

            public void setUserid(int userid) {
                this.userid = userid;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getBankName() {
                return bankName;
            }

            public void setBankName(String bankName) {
                this.bankName = bankName;
            }

            public String getBankAccount() {
                return bankAccount;
            }

            public void setBankAccount(String bankAccount) {
                this.bankAccount = bankAccount;
            }

            public Object getLastUpdateTime() {
                return lastUpdateTime;
            }

            public void setLastUpdateTime(Object lastUpdateTime) {
                this.lastUpdateTime = lastUpdateTime;
            }

            public String getIdNumber() {
                return idNumber;
            }

            public void setIdNumber(String idNumber) {
                this.idNumber = idNumber;
            }

            public String getName1() {
                return name1;
            }

            public void setName1(String name1) {
                this.name1 = name1;
            }

            public Object getIdNumber1() {
                return idNumber1;
            }

            public void setIdNumber1(Object idNumber1) {
                this.idNumber1 = idNumber1;
            }

            public Object getModifydate() {
                return modifydate;
            }

            public void setModifydate(Object modifydate) {
                this.modifydate = modifydate;
            }
        }

        public static class UserAuthBean {
            /**
             * userid : 1
             * name : 我得
             * idnum : 411381200010265236
             * certorg : null
             * idtimelimit : null
             * p1 : null
             * p2 : null
             * p3 : null
             * modifytime : 2021-06-28T07:22:12.160+0000
             * audituid : null
             * audittime : null
             * reaudituid : null
             * reaudittime : null
             * auditstatus : 1
             * reaudited : 0
             * auditmsg : null
             */

            private int userid;
            private String name;
            private String idnum;
            private Object certorg;
            private Object idtimelimit;
            private Object p1;
            private Object p2;
            private Object p3;
            private String modifytime;
            private Object audituid;
            private Object audittime;
            private Object reaudituid;
            private Object reaudittime;
            private int auditstatus;
            private int reaudited;
            private String auditmsg;

            public int getUserid() {
                return userid;
            }

            public void setUserid(int userid) {
                this.userid = userid;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getIdnum() {
                return idnum;
            }

            public void setIdnum(String idnum) {
                this.idnum = idnum;
            }

            public Object getCertorg() {
                return certorg;
            }

            public void setCertorg(Object certorg) {
                this.certorg = certorg;
            }

            public Object getIdtimelimit() {
                return idtimelimit;
            }

            public void setIdtimelimit(Object idtimelimit) {
                this.idtimelimit = idtimelimit;
            }

            public Object getP1() {
                return p1;
            }

            public void setP1(Object p1) {
                this.p1 = p1;
            }

            public Object getP2() {
                return p2;
            }

            public void setP2(Object p2) {
                this.p2 = p2;
            }

            public Object getP3() {
                return p3;
            }

            public void setP3(Object p3) {
                this.p3 = p3;
            }

            public String getModifytime() {
                return modifytime;
            }

            public void setModifytime(String modifytime) {
                this.modifytime = modifytime;
            }

            public Object getAudituid() {
                return audituid;
            }

            public void setAudituid(Object audituid) {
                this.audituid = audituid;
            }

            public Object getAudittime() {
                return audittime;
            }

            public void setAudittime(Object audittime) {
                this.audittime = audittime;
            }

            public Object getReaudituid() {
                return reaudituid;
            }

            public void setReaudituid(Object reaudituid) {
                this.reaudituid = reaudituid;
            }

            public Object getReaudittime() {
                return reaudittime;
            }

            public void setReaudittime(Object reaudittime) {
                this.reaudittime = reaudittime;
            }

            public int getAuditstatus() {
                return auditstatus;
            }

            public void setAuditstatus(int auditstatus) {
                this.auditstatus = auditstatus;
            }

            public int getReaudited() {
                return reaudited;
            }

            public void setReaudited(int reaudited) {
                this.reaudited = reaudited;
            }

            public String getAuditmsg() {
                return auditmsg;
            }

            public void setAuditmsg(String auditmsg) {
                this.auditmsg = auditmsg;
            }
        }

        public static class RoleBean {
            /**
             * id : 3
             * name : admin
             * description : 众包管理员
             */

            private int id;
            private String name;
            private String description;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }
        }
    }
}
